Quick replies
The quick reply object
Attributes
shortcutstringrequiredlength1–25pattern^[\p{L}\p{N}]+$Specifies shortcut for this native business quick reply mutation.
messagestringrequiredlength1–65536Message content saved for this business quick reply.
keywordsarray of stringmax items100item length1–256Keywords associated with this native business quick reply mutation.
Default[]countintegerrange0–2147483647Usage count recorded for this business quick reply.
Default0idstringrequiredIdentifier for this resource.
{
"shortcut": "string",
"message": "string",
"keywords": [],
"count": 0,
"id": "string"
}Create business quick reply
- Base URL
https://api.polymorfa.com- Required permission
profile:write
Path parameters
sessionstringrequiredIdentifier of the connected Polymorfa session.
Body
shortcutstringrequiredlength1–25pattern^[\p{L}\p{N}]+$Specifies shortcut for this native business quick reply mutation.
messagestringrequiredlength1–65536Message content saved for this business quick reply.
keywordsarray of stringmax items100item length1–256Keywords associated with this native business quick reply mutation.
Default[]countintegerrange0–2147483647Usage count recorded for this business quick reply.
Default0
Responses
200Quick reply created
successbooleanrequiredWhether the request succeeded.
Allowed valuestruedataobjectrequiredStructured data carried by this object.
Show 5 child fields
Show 3 headers
400Bad request — request body or params failed validation
401Missing or invalid authentication token
403Authenticated but not permitted (missing scope or rule violation)
404Resource not found
500Internal server error
curl -X POST "https://api.polymorfa.com/messaging/<session>/business/quick-replies" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Polymorfa-Version: 2026-09-22" \
-H "Content-Type: application/json" \
-d '{
"shortcut": "string",
"message": "string"
}'{
"success": true,
"data": {
"shortcut": "string",
"message": "string",
"id": "string"
}
}List business quick replies
- Base URL
https://api.polymorfa.com- Required permission
profile:read
Path parameters
sessionstringrequiredIdentifier of the connected Polymorfa session.
Responses
200Best-effort quick reply list
successbooleanrequiredWhether the request succeeded.
Allowed valuestruedataobjectrequiredStructured data carried by this object.
Show 5 child fields
Show 3 headers
400Bad request — request body or params failed validation
401Missing or invalid authentication token
403Authenticated but not permitted (missing scope or rule violation)
404Resource not found
500Internal server error
curl "https://api.polymorfa.com/messaging/<session>/business/quick-replies" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Polymorfa-Version: 2026-09-22"{
"success": true,
"data": {
"policy": "off",
"status": "disabled",
"quickReplies": [
{
"shortcut": "string",
"message": "string",
"id": "string",
"associatedLabelIds": [
"string"
],
"observedAt": "2026-09-22T12:00:00Z"
}
]
}
}Set business quick reply
- Base URL
https://api.polymorfa.com- Required permission
profile:write
Path parameters
sessionstringrequiredIdentifier of the connected Polymorfa session.
quickReplyIdstringrequiredlength1–20pattern^[0-9]+$Identifier for the quick reply.
Body
shortcutstringrequiredlength1–25pattern^[\p{L}\p{N}]+$Specifies shortcut for this native business quick reply mutation.
messagestringrequiredlength1–65536Message content saved for this business quick reply.
keywordsarray of stringmax items100item length1–256Keywords associated with this native business quick reply mutation.
Default[]countintegerrange0–2147483647Usage count recorded for this business quick reply.
Default0
Responses
200Quick reply replaced
successbooleanrequiredWhether the request succeeded.
Allowed valuestruedataobjectrequiredStructured data carried by this object.
Show 5 child fields
Show 3 headers
400Bad request — request body or params failed validation
401Missing or invalid authentication token
403Authenticated but not permitted (missing scope or rule violation)
404Resource not found
500Internal server error
curl -X PUT "https://api.polymorfa.com/messaging/<session>/business/quick-replies/<quickReplyId>" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Polymorfa-Version: 2026-09-22" \
-H "Content-Type: application/json" \
-d '{
"shortcut": "string",
"message": "string"
}'{
"success": true,
"data": {
"shortcut": "string",
"message": "string",
"id": "string"
}
}Delete business quick reply
- Base URL
https://api.polymorfa.com- Required permission
profile:write
Path parameters
sessionstringrequiredIdentifier of the connected Polymorfa session.
quickReplyIdstringrequiredlength1–20pattern^[0-9]+$Identifier for the quick reply.
Responses
200Quick reply deleted
successbooleanrequiredWhether the request succeeded.
Allowed valuestruedataobjectrequiredStructured data carried by this object.
Show 2 child fields
Show 3 headers
400Bad request — request body or params failed validation
401Missing or invalid authentication token
403Authenticated but not permitted (missing scope or rule violation)
404Resource not found
500Internal server error
curl -X DELETE "https://api.polymorfa.com/messaging/<session>/business/quick-replies/<quickReplyId>" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Polymorfa-Version: 2026-09-22"{
"success": true,
"data": {
"id": "string",
"status": "DELETED"
}
}